Subject: Re: bug#67049: closed (Re: bug#67049: Flyspell + Key-chord, chords are ignored while typing / spellchecking)

From: Everard Nisse <[email-masked]>
Date: Fri, 12 Jan 2024 23:05:11 +0100

> This does look more like a bug in key-chord than in Emacs itself

You are correct it seems, the bug was introduced in a recent version of
key-chord and had another related report.
At the time this didn't seem related, a lesson to read recent commits and
bug reports. Anyways, fixed in the package repo.

Thank you all for your time

On Sun, Dec 24, 2023 at 9:15 PM GNU bug Tracking System <
[email-masked]> wrote:

> Your bug report
>
> #67049: Flyspell + Key-chord, chords are ignored while typing /
> spellchecking
>
> which was filed against the emacs package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> --
> 67049: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67049
> GNU Bug Tracking System
> Contact [email-masked] with problems
>
>
>
> ---------- Forwarded message ----------
> From: Stefan Kangas <[email-masked]>
> To: Everard Nisse <[email-masked]>, Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> Bcc:
> Date: Sun, 24 Dec 2023 12:15:28 -0800
> Subject: Re: bug#67049: Flyspell + Key-chord, chords are ignored while
> typing / spellchecking
> tags 67049 + notabug
> thanks
>
> Everard Nisse <[email-masked]> writes:
>
> > On Fri, Nov 10, 2023 at 7:58 PM Eli Zaretskii <[email-masked]> wrote:
> >
> >> Thanks, but why do you think this is a bug in Emacs and not in
> >> key-chord-mode?  Did you report this to the developers of
> >> key-chord-mode?
> >
> > The package seems unmantained but there's a bug report at
> > https://github.com/emacsorphanage/key-chord/issues/10
> >
> > I can't tell where the bug occurs and for what reason so the reports are
> > duplicated until better judgement.
>
> This does look more like a bug in key-chord than in Emacs itself, so I
> recommend that someone interested investigates that first.  In
> particular, the behavior that doesn't work is the one implemented by the
> key-chord package.
>
> I don't think there's much more we can do on our end until that work has
> been done, so I'm closing this bug as "notabug" for now.  The tag
> indicates our belief this is not a bug in Emacs itself (the bug seems to
> be elsewhere, namely in key-chord).
>
> Thanks.
>
>
>
>
> ---------- Forwarded message ----------
> From: Everard Nisse <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Fri, 10 Nov 2023 16:15:04 +0100
> Subject: Flyspell + Key-chord, chords are ignored while typing /
> spellchecking
> With Flyspell mode enabled, key-chord combinations are ignored until
> Flyspell has finished marking incorrect words, chord characters are typed
> instead.
>
> To reproduce
>
>    1. Install the key-chord package from MELPA
>    2. M-: (key-chord-define-global "jk" "testing")
>    3. key-chord-mode & flyspell-mode
>    4. Type and quickly try to invoke the "jk" chord (press both keys at
>    the same time)
>    5. Result should be "testing" being inserted in the buffer but instead
>    the chord is ignored and "jk" is typed
>
> Workarounds to resume chord recognition:
>
>    1. Waiting a few moments until Flypsell finishes marking incorrect
>    words
>    2. Issuing C-g quickly after typing (does mark incorrect words)
>    3. Pressing Space, Delete or typing numbers/symbols
>
> Reproduced on v30.0.50 native-comp with no other configuration present via
> "$ env HOME=testing emacs".
> If anyone has ideas on code that can be blamed or further debug steps,
> please let me know.
>
> Cheers,
> ENisse
>